""" Generates a mandelbrot set image """
from mandel0 import Image # import Image class

def mandelfractal( c, max_val=10, max_iter=255 ):
    """Computes the mandelbrot sequence for given c and check if max_iter or max_val is reached. Return the iteration."""
    z = 0 + 0j
    it = 0
    while( abs(z) <= max_val and it < max_iter ):
        z = z**2 + c
        it += 1
    return it

# # some tests
# img = Image( 14, 14)
# for i in xrange(img.size[0]):    # for every pixel:
#     for j in xrange(img.size[1]):
#         c = complex(float(i)/img.size[0], float(j)/img.size[1])
#         img[i,j] = mandelfractal(c)
# print img
