""" Generates a clip from the mandelbrot set """
from mandel1 import mandelfractal,Image

def createImage(minX=-2.5, minY=-2.0, maxX=1.5, maxY=1.5, width=14, height=14):
    """ Generates an Image for the given clip """
    img = Image(width,height)
    for i in xrange(width):
        for j in xrange(height):
            x = float(i)/(width)
            y = float(j)/(height)
            c = complex(minX + x*(maxX-minX), minY + y*(maxY-minY))
            img[i,j] = mandelfractal(c)
    return img

# # some tests
# print createImage()
# print createImage(-0.132, -0.992, -0.124, -0.983, 70, 80)
