""" Renders a mandelbrot image """
from mandel1 import mandelfractal
import matplotlib.pyplot as plt # for image rendering
import numpy as np # for two dimensional bitmap array which is understood by matplotlib

def createImage(minX=-2.5, minY=-2.0, maxX=1.5, maxY=1.5, width=1024, height=768):
    """ Generates an Image for the given clip """
    img = np.zeros( (height, width), dtype=np.uint8 )
    for j in xrange(height):
        for i in xrange(width):
            x = float(i)/(width)
            y = float(j)/(height)
            c = complex(minX + x*(maxX-minX), minY + y*(maxY-minY))
            img[j,i] = mandelfractal(c)
    return img

# # some tests
# plt.imshow( createImage() )
# plt.show()
# plt.imshow( createImage(-0.132, -0.992, -0.124, -0.983 ) )
# plt.show()
